import mala

params = mala.Parameters()

# Fill in path to data files.
snap_path = ...
ldos_path = ...
out_path = ...

# liquid model
params.data.shuffling_seed = 1234
data_shuffler = mala.DataShuffler(params)
for i in [0, 1, 2, 3, 4]:
    data_shuffler.add_snapshot("Al_snapshot"+str(i)+".in.npy", snap_path,
                               "Al_snapshot"+str(i)+".out.npy", ldos_path)
data_shuffler.shuffle_snapshots(descriptor_save_path=...,
                                target_save_path=...,
                                save_name="Al_snapshot*")

# solid model
params.data.shuffling_seed = 1234
data_shuffler = mala.DataShuffler(params)
for i in [10, 11, 12, 13, 14]:
    data_shuffler.add_snapshot("Al_snapshot"+str(i)+".in.npy", snap_path,
                               "Al_snapshot"+str(i)+".out.npy", ldos_path)
data_shuffler.shuffle_snapshots(descriptor_save_path=...,
                                target_save_path=...,
                                save_name="Al_snapshot*")


# hybrid model
params.data.shuffling_seed = 1234
data_shuffler = mala.DataShuffler(params)
for i in [0, 1, 2, 3, 4, 5, 6, 10, 11, 12, 13, 14, 15, 16]:
    data_shuffler.add_snapshot("Al_snapshot"+str(i)+".in.npy",
                               "/bigdata/casus/wdm/Al/933K/2.699gcc/N256/snap/",
                               "Al_snapshot"+str(i)+".out.npy",
                               "/bigdata/casus/wdm/Al/933K/2.699gcc/N256/ldos/")
data_shuffler.shuffle_snapshots(descriptor_save_path=...,
                                target_save_path=...,
                                save_name="Al_snapshot*")

